VS2015 adding dependency to project.json doesn't show Autocomplete

I am following along to a video and the user types in 'static' in the project dependencies section and gets Autocomplete for "Microsoft.AspNet.StaticFiles": "1.0.0-rc1-final" in the project.json file dependencies section but as I am typing along I don't get any Autocomplete. Its the same issue when I try to add "Microsoft.AspNet.Mvc"...I don't get the Autocomplete, so I don't even know what version to manually type in. Is this user error?

      "dependencies": {
    "Microsoft.AspNet.IISPlatformHandler": "1.0.0-rc1-final",
    "Microsoft.AspNet.Server.Kestrel": "1.0.0-rc1-final",
    "static"
  },

expected Autocomplete to provide this:

  "dependencies": {
    "Microsoft.AspNet.IISPlatformHandler": "1.0.0-rc1-final",
    "Microsoft.AspNet.Server.Kestrel": "1.0.0-rc1-final",
    "Microsoft.AspNet.StaticFiles": "1.0.0-rc1-final"
  },

This is what I get with the AutoComplete right now for EntityFramework:

Update: I am following along code from a Lynda.com Up and running with ASP.Net 5 video series, and the lesson video shows this as autocomplete:

But when I follow along, I don't get the same:

Answers


The solution was to make sure package sources are enabled/checked in Visual Studio under Tools -> Options -> NuGet Package Manager -> Package Sources.

My Machine-wide Packages/Microsoft and .NET was not checked (which is kinda strange because I did do a default install) but checking that solved my issue.


Need Your Help

Selecting a radio button with Rspec

ruby-on-rails ruby rspec

I'm currently writing a test for a form using RSpec, and I was wondering how I'd go about selecting a radio button, given the form below: